<?php

namespace app\model;

class ApplyStaff extends Base
{
    public const status_default         = 0;//待审核
    public const status_success         = 1;//通过
    public const status_fail            = 2;//驳回


    /**
     * 关联的商户信息
     */
    public function business()
    {
        return $this->hasOne(Business::class, 'code', 'business_code');
    }

    /**
     * 关联的用户
     */
    public function account()
    {
        return $this->hasOne(Account::class, 'user_code', 'user_code');
    }
}
